function AddToQuestLog(who, qtitle, qtoptxt, qbottxt)
	--trace("launched AddToQuestLog for " .. SCCurrQuest);
	--MQuestLogFrameNpcNameText:SetText(who); -- this frame is called something different in the Log
	MQLFrameScrollFrameScrollChildFrameTitle:SetText(qtitle);
	MQLFrameScrollFrameScrollChildFrameTopText:SetText(qtoptxt);
	MQLFrameScrollFrameScrollChildFrameHorizontalBreak:Show();
	MQLFrameScrollFrameScrollChildFrameObjectives:Show();
	MQLFrameScrollFrameScrollChildFrameBottomText:SetText(qbottxt);
	MQLFrameScrollFrameScrollBar:SetValue(0);
	MQLLeftFrameScrollFrameScrollChildFrameTopText:SetText(qtitle)
	MQLLeftFrameScrollFrameScrollChildFrameGiverText:SetText("\(" .. who .. "\)");
end






function MQuestLogTitleButton_OnLoad(self)
	self:RegisterForClicks("LeftButtonUp", "RightButtonUp");
	self:RegisterEvent("UNIT_QUEST_LOG_CHANGED");
	--self:RegisterEvent("PARTY_MEMBERS_CHANGED");
	--self:RegisterEvent("PARTY_MEMBER_ENABLE");
	--self:RegisterEvent("PARTY_MEMBER_DISABLE");

	-- anchor the check to the normal text now since we can't do it with the way it's currently setup in XML
	--local name = self:GetName();
	--self.check:SetPoint("LEFT", name.."NormalText", "RIGHT", 2, 0);
end

function MQuestLogTitleButton_OnEvent(self, event, ...)
end

function MQuestLogTitleButton_OnClick(self, button, down)
end

function MQuestLogTitleButton_OnEnter(self)
end

function MQuestLogTitleButton_OnLeave(self)
end

function MQuestLogDetailFrame_OnShow()
end

function MQuestLogDetailFrame_OnHide()
end

function MQuestLogScrollFrame_OnLoad(self)
	HybridScrollFrame_OnLoad(self);
	self.update = MQuestLog_Update;
	HybridScrollFrame_CreateButtons(self, "MQuestLogTitleButtonTemplate");
end

function MQuestLog_OnEvent()
end

function MQuestLog_OnLoad()
end

function MQuestLog_OnShow()
	--Points display -- not doing this any more, replace with group name display
	GroupNameFrame.name:SetText("|cffffcc00Group Name: |r" .. SCgroupname);
	if SCMerchClueTxt1 ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues1:SetText("Merchants: " .. SCMerchClueTxt1);
	end
	--Clues display
	if SCcode ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues2:SetText("Code word: " .. SCcode);
	end
	if SCWhoClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues3:SetText("WHO?: " .. SCWhoClue);
	end
	if SCWhatClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues4:SetText("WHAT?: " .. SCWhatClue);
	end
	if SCHowClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues5:SetText("HOW?: " .. SCHowClue);
	end
	--Current quest display
	if SCCurrQuest == "q0a" then
		--trace("match q0a, launch AddToQuestLog");
		AddToQuestLog(q0a.Giver, q0a.Title, q0a.OffTop, q0a.OffBot)
	elseif SCCurrQuest == "q1a" then
		AddToQuestLog(q1a.Giver, q1a.Title, q1a.OffTop, q1a.OffBot)
	elseif SCCurrQuest == "q1b" then
		AddToQuestLog(q1b.Giver, q1b.Title, q1b.OffTop, q1b.OffBot)
	elseif SCCurrQuest == "q1c" then
		AddToQuestLog(q1c.Giver, q1c.Title, q1c.OffTop, q1c.OffBot)
	elseif SCCurrQuest == "q1d" then
		AddToQuestLog(q1d.Giver, q1d.Title, q1d.OffTop, q1d.OffBot)
	elseif SCCurrQuest == "q1e" then
		AddToQuestLog(q1e.Giver, q1e.Title, q1e.OffTop, q1e.OffBot)
	elseif SCCurrQuest == "q1f" then
		AddToQuestLog(q1f.Giver, q1f.Title, q1f.OffTop, q1f.OffBot)
	elseif SCCurrQuest == "q1g" then
		AddToQuestLog(q1g.Giver, q1g.Title, q1g.OffTop, q1g.OffBot)
	elseif SCCurrQuest == "q1h" then
		AddToQuestLog(q1h.Giver, q1h.Title, q1h.OffTop, q1h.OffBot)
	elseif SCCurrQuest == "q1i" then
		AddToQuestLog(q1i.Giver, q1i.Title, q1i.OffTop, q1i.OffBot)
	elseif SCCurrQuest == "q2a" then
		AddToQuestLog(q2a.Giver, q2a.Title, q2a.OffTop, q2a.OffBot)
	elseif SCCurrQuest == "q2b" then
		AddToQuestLog(q2b.Giver, q2b.Title, q2b.OffTop, q2b.OffBot)
	elseif SCCurrQuest == "q2c" then
		AddToQuestLog(q2c.Giver, q2c.Title, q2c.OffTop, q2c.OffBot)
	elseif SCCurrQuest == "q2d" then
		AddToQuestLog(q2d.Giver, q2d.Title, q2d.OffTop, q2d.OffBot)
	elseif SCCurrQuest == "q2e" then
		AddToQuestLog(q2e.Giver, q2e.Title, q2e.OffTop, q2e.OffBot)
	elseif SCCurrQuest == "q2f" then
		AddToQuestLog(q2f.Giver, q2f.Title, q2f.OffTop, q2f.OffBot)
	elseif SCCurrQuest == "q2g" then
		AddToQuestLog(q2g.Giver, q2g.Title, q2g.OffTop, q2g.OffBot)
	elseif SCCurrQuest == "q3a" then
		AddToQuestLog(q3a.Giver, q3a.Title, q3a.OffTop, q3a.OffBot)
	elseif SCCurrQuest == "q3b" then
		AddToQuestLog(q3b.Giver, q3b.Title, q3b.OffTop, q3b.OffBot)
	elseif SCCurrQuest == "q3c" then
		AddToQuestLog(q3c.Giver, q3c.Title, q3c.OffTop, q3c.OffBot)
	elseif SCCurrQuest == "q3d" then
		AddToQuestLog(q3d.Giver, q3d.Title, q3d.OffTop, q3d.OffBot)
	elseif SCCurrQuest == "q3e" then
		AddToQuestLog(q3e.Giver, q3e.Title, q3e.OffTop, q3e.OffBot)
	elseif SCCurrQuest == "q4a" then
		AddToQuestLog(q4a.Giver, q4a.Title, q4a.OffTop, q4a.OffBot)
	end
	--trace("reached the end of the if loop");
end

function MQuestLog_OnHide()
end

function MQuestLog_OnUpdate()
end
