--This is specifically for proofing the text and layout of all the quests, displaying each in order

function showProofPortrait(num)
	--trace("entered showProofPortrait function");
	MQuestProof.portrait1:Hide();
	MQuestProof.portrait2:Hide();
	MQuestProof.portrait3:Hide();
	MQuestProof.portrait4:Hide();
	MQuestProof.portrait5:Hide();
	MQuestProof.portrait6:Hide();
	MQuestProof.portrait7:Hide();
	MQuestProof.portrait8:Hide();
	MQuestProof.portrait9:Hide();
	MQuestProof.portrait10:Hide();
	MQuestProof.portrait11:Hide();
	MQuestProof.portrait12:Hide();
	if num == 1 then
		--display the book
		MQuestProof.portrait1:Show();
	elseif num == 2 then
		--display Axechewer
		MQuestProof.portrait2:Show();
	elseif num == 3 then
		--display Apriloneil
		MQuestProof.portrait3:Show();
	elseif num == 4 then
		--display Jindall
		MQuestProof.portrait4:Show();
	elseif num == 5 then
		--trace("display Aladriaa Horde");
		--display Aladriaa Horde
		MQuestProof.portrait5:Show();
	elseif num == 6 then
		--display Aladriaa Alliance
		MQuestProof.portrait6:Show();
	elseif num == 7 then
		--display Calliopeia Horde
		MQuestProof.portrait7:Show();
	elseif num == 8 then
		--display Calliopeia Alliance
		MQuestProof.portrait8:Show();
	elseif num == 9 then
		--display Azukk
		MQuestProof.portrait9:Show();
	elseif num == 10 then
		--display Librarian
		MQuestProof.portrait10:Show();
	elseif num == 11 then
		--display Boss Gnome
		MQuestProof.portrait11:Show();
	elseif num == 12 then
		--display Boss Goblin
		MQuestProof.portrait12:Show();
	elseif num == 13 then
		--display Rhudoh now Tauren
		MQuestFrame.portrait13:Show();
	end
end


function AddToProofWindow(who, qstatus, qtitle, qtoptxt, qbottxt)
	--trace("launched AddToProofWindow");
	MQuestProof:Hide(); -- toggle display off and on to be sure it's clear
	MQuestProofTitle:SetText("");
	MQuestProofTopText:SetText("");
	MQuestProofBottomText:SetText("");
	--set the mini portrait for the frame
	if ((who == nAla) and (UnitFactionGroup("player") == "Horde")) then
		--trace("should be showing the Horde version of Aladriaa's portrait")
		showProofPortrait(5);
	elseif ((who == nAla) and (UnitFactionGroup("player") == "Alliance")) then
		--trace("should be showing the Alliance version of Aladriaa's portrait")
		showProofPortrait(6);
	elseif ((who == nCal) and (UnitFactionGroup("player") == "Horde")) then
		--trace("should be showing the Horde version of Calliopeia's portrait")
		showProofPortrait(7);
	elseif ((who == nCal) and (UnitFactionGroup("player") == "Alliance")) then
		--trace("should be showing the Alliance version of Calliopeia's portrait")
		showProofPortrait(8);
	elseif (who == nAxe) then
		--trace("should be showing Axechewer's portrait")
		showProofPortrait(2);
	elseif (who == "Jindall") then
		--trace("should be showing Jindall's portrait")
		showProofPortrait(4);
	elseif (who == "Apriloneil") then
		--trace("should be showing Apriloneil's portrait")
		showProofPortrait(3);
	elseif (who == "Azukk") then
		--trace("should be showing Azukk's portrait")
		showProofPortrait(9);
	elseif (who == "Librarian Belleford") then
		--trace("should be showing the Librarian's portrait")
		showProofPortrait(10);
	elseif ((who == nIzu) and (UnitFactionGroup("player") == "Horde")) then
		--trace("should be showing the Alliance/Gnome version of the Boss portrait")
		showProofPortrait(11);
	elseif ((who == nIzu) and (UnitFactionGroup("player") == "Alliance")) then
		--trace("should be showing the Horde/Goblin version of the Boss portrait")
		showProofPortrait(12);
	elseif (who == "Rhudoh") then
		--trace("should be showing Rhudoh's portrait")
		ShowPortrait(13);
	else
		--use the default book icon
		--trace("using default icon");
		showProofPortrait(1);
	end
	MQuestProof:Show();
	MQuestProofNpcNameText:SetText(who); -- Who's giving the quest; common to all these types
	if (qstatus == "offer") then
		MQuestProofTitle:SetText(qtitle);
		MQuestProofTopText:SetText(qtoptxt);
		MQuestProofHorizontalBreak:Show();
		MQuestProofObjectives:Show();
		MQuestProofBottomText:SetText(qbottxt);
		MQuestProofOKButton:SetText("Accept");
		MQuestScrollFrameScrollBar:SetValue(0);
	elseif (qstatus == "continue") then
		MQuestProofOKButton:SetText("Continue");
	elseif (qstatus == "complete") then
		MQuestProofTitle:SetText(qtitle);
		MQuestProofTopText:SetText(qtoptxt);
		if qbottxt then
			MQuestProofObjectives:Show();
			MQuestProofBottomText:SetText(qbottxt);
		else
			MQuestProofObjectives:Hide();
			MQuestProofBottomText:SetText("");
		end
		MQuestProofOKButton:SetText("Complete");
	end
end

--Now, the screen by screen animation


proofRound = 1;

function proofHandler()
	if proofRound == 1 then
		print("Displaying quest q0a-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q0a.Title, q0a.OffTop, q0a.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 2 then
		print("Displaying quest q1a-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Librarian Belleford", "offer", q1a.Title, q1a.OffTop, q1a.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 3 then
		print("Displaying quest q1a-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "complete", q1a.Title, q1a.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 4 then
		print("Displaying quest q1b-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "offer", q1b.Title, q1b.OffTop, q1b.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 5 then
		print("Displaying quest q1b-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "complete", q1b.Title, q1b.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 6 then
		print("Displaying quest q1c-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "offer", q1c.Title, q1c.OffTop, q1c.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 7 then
		print("Displaying quest q1c-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "complete", q1c.Title, q1c.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 8 then
		print("Displaying quest q1d-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "offer", q1d.Title, q1d.OffTop, q1d.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 9 then
		print("Displaying quest q1d-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "complete", q1d.Title, q1d.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 10 then
		print("Displaying quest q1e-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q1e.Title, q1e.OffTop, q1e.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 11 then
		print("Displaying quest q1e-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAxe, "complete", q1e.Title, q1e.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 12 then
		print("Displaying quest q1f-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q1f.Title, q1f.OffTop, q1f.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 13 then
		print("Displaying quest q1f-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Rhudoh", "complete", q1f.Title, q1f.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 14 then
		print("Displaying quest q1g-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Rhudoh", "offer", q1g.Title, q1g.OffTop, q1g.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 15 then
		print("Displaying quest q1g-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q1g.Title, q1g.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 16 then
		print("Displaying quest q1h-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q1h.Title, q1h.OffTop, q1h.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 17 then
		print("Displaying quest q1h-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nCal, "complete", q1h.Title, q1h.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 18 then
		print("Displaying quest q1i-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q1i.Title, q1i.OffTop, q1i.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 19 then
		print("Displaying quest q1i-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q1i.Title, q1i.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 20 then
		print("Displaying quest q2a-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nCal, "offer", q2a.Title, q2a.OffTop, q2a.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 21 then
		print("Displaying quest q2a-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nCal, "complete", q2a.Title, q2a.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 22 then
		print("Displaying quest q2b-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q2b.Title, q2b.OffTop, q2b.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 23 then
		print("Displaying quest q2b-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q2b.Title, q2b.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 24 then
		print("Displaying quest q2c-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q2c.Title, q2c.OffTop, q2c.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 25 then
		print("Displaying quest q2c-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Azukk", "complete", q2c.Title, q2c.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 26 then
		print("Displaying quest q2d-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Azukk", "offer", q2d.Title, q2d.OffTop, q2d.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 27 then
		print("Displaying quest q2d-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Azukk", "complete", q2d.Title, q2d.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 28 then
		print("Displaying quest q2e-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Azukk", "offer", q2e.Title, q2e.OffTop, q2e.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 29 then
		print("Displaying quest q2e-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Jindall", "complete", q2e.Title, q2e.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 30 then
		print("Displaying quest q2f-intro");
		proofRound = proofRound + 1;
		AddToProofWindow("Jindall", "intro", q2f.Title, q2f.IntroTop)
		MQuestProof.anim01:Play();
	elseif proofRound == 31 then
		print("Displaying quest q2f-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Jindall", "offer", q2f.Title, q2f.OffTop, q2f.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 32 then
		print("Displaying quest q2f-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Jindall", "complete", q2f.Title, q2f.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 33 then
		print("Displaying quest q2g-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q2g.Title, q2g.OffTop, q2g.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 34 then
		print("Displaying quest q2g-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q2g.Title, q2g.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 35 then
		print("Displaying quest q3a-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Apriloneil", "offer", q3a.Title, q3a.OffTop, q3a.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 36 then
		print("Displaying quest q3a-complete");
		proofRound = proofRound + 1;
		AddToProofWindow("Apriloneil", "complete", q3a.Title, q3a.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 37 then
		print("Displaying quest q3b-offer");
		proofRound = proofRound + 1;
		AddToProofWindow("Apriloneil", "offer", q3b.Title, q3b.OffTop, q3b.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 38 then
		print("Displaying quest q3b-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q3b.Title, q3b.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 39 then
		print("Displaying quest q3c-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q3c.Title, q3c.OffTop, q3c.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 40 then
		print("Displaying quest q3c-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q3c.Title, q3c.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 41 then
		print("Displaying quest q3d-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q3d.Title, q3d.OffTop, q3d.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 42 then
		print("Displaying quest q3d-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q3d.Title, q3d.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 43 then
		print("Displaying quest q3e-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "offer", q3e.Title, q3e.OffTop, q3e.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 44 then
		print("Displaying quest q3e-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q3e.Title, q3e.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound == 45 then
		print("Displaying quest q4a-offer");
		proofRound = proofRound + 1;
		AddToProofWindow(nIzu, "offer", q4a.Title, q4a.OffTop, q4a.OffBot);
		MQuestProof.anim01:Play();
	elseif proofRound == 46 then
		print("Displaying quest q4a-complete");
		proofRound = proofRound + 1;
		AddToProofWindow(nAla, "complete", q4a.Title, q4a.CompTop);
		MQuestProof.anim01:Play();
	elseif proofRound >= 47 then
		print("Done.");
		MQuestProof:Hide();
		return
	end;
end;
