--Text for populating quest windows
--Variables are interpolated where special characters or faction-specific names require
--temp for testing this file only
--nAxe = "temp1";
--nAla = "temp2";
--nCal = "temp3";
--nIzu = "temp4";
--pGhost = "temp5";
--nSed = "temp6";

--NOTE -- if you want to make edits/changes, please submit snippets directly to Steve, rather than saving an edited version
-- of the entire document.

--########################
-- Quest 0a
--########################
q0a = {

Giver = nAla,

Title = "The Fate of Dalaran",

OffTop = [[
Aye, it be worse than a fleet o' seagulls o'erhead. But never fear - I'll be helpin' ye' along the way with information and instructions.

It's our job in the Picaroon Protectorate to seek out those who threaten Dalaran. Ye will uncover the nature of their evil-doin's to save all o' Dalaran.

All hands ho-ay!
]],

OffBot = [[
Investigate the Mauve Marauders. Report: Who they are, What they're planning, and How to stop them.
]],

}

--########################
-- Quest 1a
--########################
q1a = {

Giver = "Librarian Belleford",

Title = "The Librarian's Charge",

OffTop = [[
Splendid to make your acquaintance!  The Picaroon Protectorate surely needs you, my little sweetlings.

It just so happens I recently tasked Deckhand ]] .. nAxe.. [[ to watch out for suspicious behavior in Dalaran.

That dwarf should give you a good place to begin your quest.

He usually sets up his post in Runeweaver Square.
]],

OffBot = [[
Librarian Belleford wants you to speak to ]] .. nAxe .. [[ in Runeweaver Square of Dalaran.
]],

CompTop = [[
Aye, I be ]] .. nAxe.. [[.

I've seen some shady types wandering around, to be sure.

Though right now I'm thinkin' more o' me supper than those scallywags...
]],

}

--########################
-- Quest 1b
--########################

q1b = {

Giver = nAxe,

Title = "Vermin for Supper",

OffTop = [[
Sure, I'll tell ye what I've seen. But I don't work for chum, chum. What's it worth to ye?

I'll tell ye what it's worth to me.

Bunnies.

Or squirrels, I s'ppose. Don't give me that look. I'm a sensitive bucko, arr.

Just leave 'em where you kill 'em. You can find 'em roaming the lawns of Dalaran.
]],

OffBot = [[
Kill 3 rabbits or squirrels for ]] .. nAxe .. [[.
]],

CompTop = [[
<grunt> Mangy, ain't they?

I tell ye, rabbits in my day were three times as big.

Arr. No lie.
]],

}

--########################
-- Quest 1c
--########################

q1c = {

Giver = nAxe,

Title = "The Talk About Town",

OffTop = [[
I've seen some weird looking types wanderin' around in purple tabards. Ye'll need to track down the gossip about 'em.

Flash your ring to the shopkeepers around Runeweaver Square to learn what they've heard.

Each o' them will only tell what they know to one o' ye.
]],

OffBot = [[
Click your ring by shopkeepers at The Wonderworks, Threads of Fate, and The Legerdemain Lounge to hear the scuttlebutt.
]],

CompTop = [[
Ahoy there. Excellent work, mateys.

You be better than I reckoned at gettin' information from those scabs.

Ye sure ye didn't use some inhumane tactics?
]],

}

--########################
-- Quest 1d
--########################
-- need to be aladria giving and completing
q1d = {

Giver = nAla,

Title = "Signs of Trouble",

OffTop = [[
Y' must share the information those gossipers whispered to each o' ye.

Combine yer information to figure out which image is emblazoned on the tabard worn by those mauve marauders.

Arr.
]],

OffBot = [[
]] .. nAla .. [[ wants you to agree on the suspicious characters' tabard symbol.

Vote by clicking on the correct symbol.
]],

CompTop = [[
The Tesla coil?

Blast, I should'a known those cretins were into lightning and the like.

We'll need to let our operatives know.
]],

}

--########################
-- Quest 1e
--########################

q1e = {

Giver = nAla,

Title = "Dark Shadows",

OffTop = [[
Mateys, ye need to tell ]] .. nAxe .. [[ about that tabard icon.

He's been scouting those marauders, and this'll help him keep an eye on them.
]],

OffBot = [[
Meet ]] .. nAxe .. [[ behind the graveyard near the Violet Citadel.
]],

CompTop = [[
Arr, the Tesla coil tabard!

I knew there was somethin' fishy about that tabard.

I'll be able to keep a weather eye out now, thanks to you.
]],

}

--########################
-- Quest 1f
--########################

q1f = {

Giver = nAla,

Title = "Operative Words",

OffTop = [[
Excellent work. Now meet our two undercover operatives Rhudoh and Azukk in the Forge of Fate.

They sent word they need help with a special delivery.

Help them out, but have a care! Ye don't want to blow their cover.

They may ask for the code word "BILGE" as an extra precaution.
]],

OffBot = [[
Meet Rhudoh and Azukk in the Forge of Fate in the Magus Commerce Exchange.
]],

CompTop = [[
Psst. Over here.

Do ye have the password, BILGE?

<Azukk interrupts> Rhudoh! They were supposed to tell ye themselves!

<Rhudoh continues> Shhh! Act natural!

We're deep under cover.
]],

}

--########################
-- Quest 1g
--########################

q1g = {

Giver = "Rhudoh",

Title = "Hot and Heavy",

OffTop = [[
We need some help, mateys.

We need copper bars, but we canna make them without blowing our cover.

Take this copper ore and go to All That Glitters next door to smelt them.

]] .. nAla .. [[ will let you know where to deliver them when ye're done.
]],

OffBot = [[
Have one party member train in Mining and smelt a copper bar.
]],

CompTop = [[
Well done, me hearties.

We've been mighty worried about Rhudoh and Azukk, but I'm sure ye didn't blow their cover.
]],

}

--########################
-- Quest 1h
--########################

q1h = {

Giver = nAla,

Title = "Enchanting Delivery",

OffTop = [[
Deliver the copper bar to our operative ]] .. nCal .. [[ at the Purple Parlor in the Violet Citadel.

We never be quite sure of her loyalties, but she's gettin' quite a few coins to enchant that bar for us.

She might even have some information about the marauders for ye.
]],

OffBot = [[
Trade the bar to ]] .. nCal .. [[ in the Purple Parlor at the top of the Violet Citadel.
]],

CompTop = [[
I'm supposed to be using my vast powers on this trivial task?

Honestly, I get no respect whatsoever.

Well, I'll enchant it and deliver it to the Protectorate when I find the time.

Oh, and I suppose you'll want to know those marauders call themselves the Ninja Mechanical Society.
]],

}

--########################
-- Quest 1i
--########################

q1i = {

Giver = nAla,

Title = "First Report",

OffTop = [[
Good work my little powder monkeys!

Now, report your findings so's I can channel them to the rest of the Picaroon Protectorate.

Who are these mauve marauders?
]],

OffBot = [[
In party chat, tell ]] .. nAla .. [[ what you know of the enemy's identity so far.
]],

CompTop = [[
Blast! Those mauve marauders call themselves the Ninja Mechanical Society?

I've heard tell of that dastardly set.

We need to learn just exactly what they're up to.

Keep on with yer investigatin' mates.
]],

}


--########################
-- Quest 2a
--########################

q2a = {

Giver = nAla,

Title = "Striking a Bargain",

OffTop = [[
We need to learn more about the Ninja Mechanical Society.

Ye'll have to risk talking to Rhudoh again.

But first, get the new code word from ]] .. nCal .. [[.

We changed it to keep Rhudoh's cover secure.
]],

OffBot = [[
Ask ]] .. nCal .. [[ for the new code word and the location of Rhudoh.
]],

CompTop = [[
The new code word? Oh, I didn't bother figuring it out. I had better things to do.

Use that note and figure out the code word yourselves.

I don't have time for this.
]],

}

--########################
-- Quest 2b
--########################
--The solution is actually greeted by an overhead message, between Off and Comp

q2b = {

Giver = nAla,

Title = "Code Breakers",

OffTop = [[
Unscramble that code and then go find Rhudoh and Azukk.

The code has four letters, but we can't spread it around.

You shouldn't have any trouble decipherin' the message.
]],

OffBot = [[
]] .. nAla .. [[ needs you to solve the puzzle and identify the 4 letter code word.
]],

CompTop = [[
Excellent work. Now ye're ready to find Azukk and Rhudoh.

Be sure ye don't flap yer gums about that code word!
]],

}

--########################
-- Quest 2c
--########################

q2c = {

Giver = "Azukk",

Title = "The Cow Came Home",

OffTop = [[
Now, might be that Rhudoh can tell us what they're up to. I hear he's got eyes like a seafarin' hawk!

They were last seen in Cantrips & Crows down in the Underbelly sewers.
]],

OffBot = [[
]] .. nAla .. [[ wants you to find Azukk and Rhudoh in Cantrips & Crows in the Underbelly.
]],

CompTop = [[
Aye, that's the code word.

But I canna help ye. <sniff... sniff> Can't ye see?

My beloved Rhudoh lies here, dead from being discovered by that evil Ninja Mechanical Society.

His cover was blown, sure enough. I canna think how.

Arr. <sniff>
]],

}

--########################
-- Quest 2d
--########################

q2d = {

Giver = "Azukk",

Title = "Gesture of Honor",

OffTop = [[
Me Rhudoh was known for his great strength, a tendency to show off, and a love of Thunder Ale.

A real pirates' pirate, that guy.

I won't be talkin' until ye all honor his spirit with a fittin' gesture.
]],

OffBot = [[
Azukk wants you to determine the gesture (emote) that best honors Rhudoh and perform it together.
]],

CompTop = [[
Ah, now that honors him. Thank ye!

I still canna imagine how his cover was blown.

Ye noobs didn't have anything to do with that, did ye?
]],

}

--########################
-- Quest 2e
--########################

--First part is an "Intro" quest window, with the exit button labeled "Continue" [only top, no objectives or bottom half]
--Second part is the "Offer" quest window, with the exit button labeled "Accept"
--Third part is the "Completion" quest window, with the exit button labeled "Complete"

q2e = {

Giver = "Jindall",

Title = "Wrongdoers in Sewers",

OffTop = [[
As for that Ninja Mechanical Society, I heard they were devisin' something to bring Dalaran crashing down from the sky. Hadu-something it was called.

Go find Jindall... he keeps tabs on the goings on below deck o' the city.

I think he hides out in the Circle of Wills.
]],

OffBot = [[
Azukk wants you to find Jindall in the Circle of Wills in the Underbelly sewers.
]],

CompTop = [[
Ye're looking for me? Well, ye've found me.

But why should I help ye scallywags?

Are ye truly worthy Picaroons?
]],

}

--########################
-- Quest 2f
--########################

q2f = {

Giver = nAla,

Title = "I Smell a Turtle... er, Rat",

IntroTop = [[
<Jindall says>
We'll start with the big 'uns... here they are.

<Apriloneil cuts in>
No! Don't listen to this rockjawed fungus-flinger!

I need these enchanted turtles for our secret pl...

Errr, I mean... these turtles are the guardians of the sewers.

Spare them!
]],

OffTop = [[
<Jindall retorts>
Jeez! Leave it to the bleeding hearts to step in where they're not wanted.

Fine! Ye can kill rats and frogs instead.

Ye didn't think ye'd be picking flowers to prove yerselves, did ye? Har har!
]],

OffBot = [[
Jindall wants you to kill 2 rats and 2 frogs.
]],

CompTop = [[
Did ye kill them? Kill them ALL?

Ah, yes, I mean, that's fine. Ye're worthy members of the Protectorate, etc. etc.

Those skanky cretins follow some bilge-swiller named ]] .. nIzu .. [[.

I can also tell ye that Ninja Mechanical Society is buildin' a machine that will make Dalaran fall from the sky.

I don't know how it works, though.
]],

}

--########################
-- Quest 2g
--########################

q2g = {

Giver = nAla,

Title = "Second Report",

OffTop = [[
Now, report your findings so's I can channel them to the Picaroon Protectorate.

What be these bilge-rats plannin'?

Once ye report, ye can talk to Apriloneil to learn more.
]],

OffBot = [[
In party chat, tell ]] .. nAla .. [[ what you know about what the enemy is up to.
]],

CompTop = [[
A machine to make Dalaran fall out o' the sky is dire indeed!

Now we need to know what the Picaroon Protectorate must do to stop it.

See if Apriloneil can tell ye where to go next. She usually be talkin' to those strange turtles.
]],

}

--########################
-- Quest 3a
--########################

q3a = {

Giver = "Apriloneil",

Title = "Come Out Swingin'",

OffTop = [[
That's a lovely ring and all, but you look a little soft to me. How about you show me what you're really made of and fight a Sewer Champion?

Er, I guess I don't have any of those handy... you'll just have to fight amongst yourselves.

Each of you must win one duel.

Go on! Unless you'd rather run away, little children? Run away? Ha ha!
]],

OffBot = [[
Apriloneil requires each team member to win a duel.
]],

CompTop = [[
That was fighting?

What are you, level 1?

Go pose in front of the mirror some more, you vainglorious ruffians!

But I guess you proved yourselves well enough.
]],

}

--########################
-- Quest 3b
--########################

q3b = {

Giver = "Apriloneil",

Title = "All Washed Up",

OffTop = [[
I saw one of those marauders with the Washed-up Mage the other night.

If you can get that mage talking, he can probably tell you more.

He's usually napping in the tunnels to the north-west down here.

Now I have some real heroes to attend to.
]],

OffBot = [[
Apriloneil tells you to find the Washed-Up Mage in the Dalaran sewers.
]],

CompTop = [[
Ye've found him!

Arr, he's passed out again!

He be a wise old dog, but far too fond of the Kungaloosh.

The only way to reach him now is through his soggy dreams.
]],

}

--########################
-- Quest 3c
--########################

q3c = {

Giver = nAla,

Title = "Give Up the Ghost",

OffTop = [[
Speak to the Mage in his dreams.

No, not by drinking Kungaloosh. We don't serve that rotgut. And the rum's all gone.

Instead you must die.

Sacrifice one of your party to create a connection to the spirit world. The nasty shark in the Black Market waters to the north-east should do it.

Then click yer ring by the mage to channel his message.
]],

OffBot = [[
Sacrifice a player to the shark in The Black Market and then talk to the mage again.
]],

CompTop = [[
<You receive a spell from the Washed-up Mage.>

<Washed-up Mage mubles>
But why's the rum gone?

]] ..nAla .. [[: Blimey, you got that ale-guzzling wastrel to talk!
]],

}

--########################
-- Quest 3d
--########################

q3d = {

Giver = nAla,

Title = "Third Report",

OffTop = [[
Report your findings so's we can get back to Crystalsong Forest.

What do we need to do to stop the scurvy plot?
]],

OffBot = [[
In party chat, tell ]] .. nAla .. [[ what you learned about how to stop the enemy.
]],

CompTop = [[
Report registered!

And now we know that their machine runs on magic...so we can use magic to stop it!

That spell the mage gave ye is all we need to foil their plot once an' for all.

This spell will stop ]] .. nIzu .. [[ and that machine both.

Our sacrifices will not have been in vain.
]],

}

--########################
-- Quest 3e
--########################

q3e = {

Giver = nAla,

Title = "Delivering the Goods",

OffTop = [[
The Picaroon Protectorate could never have uncovered this plot without ye poppets.

Our enemy won't know what hit 'em now that we can counter their evil machine and their leader, ]] .. nIzu .. [[.

Collect yer bodies and go back to the teleport crystal on the edge of Runeweaver Square.

Ye have performed a great service for Dalaran.
]],

OffBot = [[
]] .. nAla .. [[ wants you to meet her in Crystalsong Forest to deliver the spell.
]],

CompTop = [[
This spell will have those scurvy dogs shakin' in their boots. Aye.

The Picaroon Protectorate sends their gratitude for your work and dedication.

May ye always have fair winds and following seas.
]],

}

--########################
-- Quest 4a
--########################

q4a = {

Giver = nIzu,

Title = "Show 'em Who's Boss",

OffTop = [[
Picaroons! You mangy currs! You thought you could outwit the Ninja Mechanical Society?

Ha! Even these little mice you have doing your bidding cannot escape our cunning.

We have eyes everywhere!

And now my minions will have yours for supper and wash them down with Alexstraza's tears! Hadouken!
]],

OffBot = [[
Defeat the leader of the Ninja Mechanical Society, ]] .. nIzu .. [[.
]],

CompTop = [[
Arr, the dirty deed be done. That was a victory for the ages!

You have served the Picaroon Protectorate and Dalaran well.

Many thanks m'hearties. Perhaps even I underestimated your bravery.

Your valor will be the matter of fable and ballad... the young ones who saved Dalaran will not be forgotten.
]],

}

--########################
-- Quest 4b
--########################
--Not tracked; just here to populate the post-quest leadership voting screen
--PLEASE no changes to this one, as it will throw off the spacing of the ranking buttons and text

q4b = {

Giver = nSed,

Title = "Please Vote",

VoteTop = [[
Please rank all the players in your group, including yourself, on how much each of you served as the leader of the group during the quest.

Mark the player who seemed to be the leader most of the time as first, the one who was the leader second most as second, etc.

Include yourself in your rankings.]],

}



--########################
-- Other display text
--########################

--This is the repository for text strings to be used to populate the overhead window and any chat text...
--Naming scheme should allow for insertion, but not bother to be current-quest specific: ScreenTxt.line0010, ScreenTxt.line0020, etc.
-- Similarly, WhisperTxt.0010, WhisperTxt.0020
--Use double brackets rather than double quotes, to allow quotes and other special characters within the strings

ScreenTxt = {
line0000 = [[This is a really long text string to test how much text can fit in the window, and look at things like wrapping as well as interference with on-screen graphics like the book and the ring and the troll pirate head for the logger... you get the idea blah blah blah...]],
line0010 = [[<A strange sound echoes in the distance.
If you can't hear it, turn off your music, increase your sound settings, and click again...>]],
line0013 = [[A strange voice shouts, "For the Marauders!"]],
line0015 = [[Dear Researcher, the quest has begun...]],
line0020 = [[<Librarian Belleford looks like he has something to tell you.
He motions for you to come closer.>]],
line0030 = [[Sorry matey. I'm under strict arr-ders to only speak to your whole party.]],
line0040 = [[Ye killed those bunnies 'n' squirrels yet?]],
line0050 = [[If ye're too blind to find those shops, don't ask me.
That's what the guards are for!]],
line0060 = [[<Jepetto>: Sorry, I can't give you any more information.]],
line0070 = [[<Karandonna>: Sorry, I can't give you any more information.]],
line0080 = [[<Amisi>: Sorry, I can't give you any more information.]],
line0090 = [[<Debbi>: Sorry, I can't give you any more information.]],
line0093 = [[So far so good, buckos, but the whole group needs to participate.]],
line0095 = [[Nay, buckos. The whole group must agree on the right icon. Try again.]],
line0097 = [[Report your findings: tell ]] .. nAla .. [[ the icon and name the Marauders are using.]],
line0100 = nCal .. [[ says: What do you people want? Are you here to give me something?]],
line0105 = nCal .. [[ says: Now you want me to be a lowly letter carrier?
You'll have to make it worth my while in coin...
Five silver will be sufficient.]],
line0107 = nAla .. [[ says: Antonidas? Well done, me hearties!
Now ye can find that pirate Azukk! Just glance at your city map...]],
line0108 = [[Ye mean well, but that's not quite right.]],
line0108a = [[Aye, that flexin' honors my beloved Rhudoh.
Get all yer friends to do the same.]],
line0109 = [[Thank you again for honoring my Rhudoh.]],
line0110 = [[Go find that mage, I have turtles to take care of.]],
line0115 = [[ has jumped the shark and died!]],
line0125 = nIzu .. [[ lets out a battle cry from just outside the pink bubble!]],
line0130 = nAla .. [[ shouts: Gar, What?! Hornswaggle! What treachery is this?!]],
line0140 = nAla .. [[ shouts: Son of a biscuit eater! Take those lily-livered land-lubbers down.
They belong in Davey Jones' locker.
Fight!]],
line0145 = [[The fight's not over yet! ]] .. nIzu .. [[ has finally appeared!
Now's no time to turn tail. I'll help ye finish him off!]],
line0200 = [[We're keepin' things quiet here, mateys. Yer whole party needs to come close before we talk.]],
line0210 = [[I canna talk to ye unless yer whole party is here, mateys.]],
}

WhisperTxt = {
line0010 = [[something]],
line0020 = [[somethingelse]],
line0081 = [[I can tell you that the group you seek is called the Ninja Mechanical Society.]],
line0091 = [[Those skanky cretins follow some bilge-swiller named ]] .. nIzu .. [[. I can tell ye that Ninja Mechanical Society is buildin' a machine that will make Dalaran fall from the sky.]],
line0101 = [[Now we know that their machine runs on magic...so we can use magic to stop it! That spell the mage gave ye is all we need to foil their plot once an' for all.]],
}

AchTxt = {
a1a = [[Decryption Experts]],
a1b = [[Ye got the tabard icon right on the first try.]],

a2a = [[Aromatic Actions]],
a2b = [[You have given ]]..nCal..[[ her very favorite food!]],

a3a = [[Dirty Deeds]],
a3b = [[Jumping in the well is a dirty deed, indeed.]],

a4a = [[Scurvy Madness]],
a4b = [[Someone drank the Underbelly Elixir.]],

a5a = [[Hara-kiri Bonus]],
a5b = [[All hands on deck... are dead.]],

a6a = [[Sharp Shooter]],
a6b = [[You all were really using your noggins.]],

a7a = [[Clean the Poop Deck]],
a7b = [[You cleaned up those marauders in short order!]],

a8a = [[Comedy Troupe]],
a8b = [[You group wins Teh Funny prize.]],

a9a = [[You Arrr Together]],
a9b = [[You worked together splendidly!]],

p1 = [[Promoted to Landlubber]],

p2 = [[Promoted to Scallywag]],

p3 = [[Promoted to Deckhand]],

p4 = [[Promoted to Buccaneer]],

p5 = [[Promoted to Picaroon]],
}





